Subject: Re: back trace when a SIGSEGV

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 05 Dec 2005 09:16:02 +1100

On Fri, 2005-12-02 at 11:33 +0100, Redondo Garcia, Roberto wrote:
> hello, 
> I have a program that when it has been several hours running, it has a
> problem and falls and it produces a SIGSEGV.  I would like to know to
> how debug this error, because I do not have ulimit for generate core
> dump o examine a back trace.

You can run your program under gdb, or you may want to have a look at
tridge' junk code directory for his segv_handler bit that you can put in
LD_PRELOAD

http://www.samba.org/junkcode/#segv_handler

Ben.